#ifndef GLOBALSETTINGS_H_
#define GLOBALSETTINGS_H_

#include "metadataHolder.h"

namespace iopc {

/**
 * Global settings for the library and application.
 * 
 * This class is not thread safe. Settings should be set after the program was started.
 */
class DLL_EXTERNAL GlobalSettings : public MetadataHolder {
};

/**
 * Instance of the global settings.
 * 
 * Shouldn't be used in static blocks.
 */
extern GlobalSettings globalSettings;

}

#endif /*GLOBALSETTINGS_H_*/
