
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>
#include <iostream>

#include "testcase.h"
#include "iopccommon/trace.h"
#include "iopclib/iopc.h"

//using namespace iopc;
using namespace std;
using namespace iopc;

static void printaddr(void* co) {
	cout << reinterpret_cast<uint> (co) << endl;
}


class Test {
	string testik;
public:
	void test(string aa) {
		printaddr(&aa);
		testik = aa;
		printaddr(&testik);
	}
	
	void test2(string bb) {
		printaddr(&bb);
		testik = bb;
		printaddr(&testik);
	}
};

int main(int argc, char *argv[])
{
	Iopc::init();
	LogWriter::getInstance().traceMaskTTY = ( LogWriter::WARNING | LogWriter::ERROR | LogWriter::INFO | LogWriter::INFO_SQL /*| LogWriter::TRACE | LogWriter::INFO*/);
	//LogWriter::getInstance().traceMask = ( LogWriter::TRACE | LogWriter::DEBUG | LogWriter::WARNING | LogWriter::ERROR | LogWriter::INFO | LogWriter::INFO_SQL /*| LogWriter::TRACE | LogWriter::INFO*/);
	LogWriter::getInstance().traceMask = ( LogWriter::DEBUG | LogWriter::WARNING | LogWriter::ERROR | LogWriter::INFO | LogWriter::INFO_SQL /*| LogWriter::TRACE | LogWriter::INFO*/);
	
	
	cout << "Start" << endl; 
	TestCase::runTests();
	cout << "end" << endl; 
	
	Iopc::shutdown();
	cin.getline(NULL, 0);

	
}
