/**
 * @file databaseImpl.h
 * 
 * @author Petr Cermak
 */

#ifndef DATABASEIMPL_H_
#define DATABASEIMPL_H_

#include "iopccommon/defs.h"
#include "connectionImpl.h"

namespace iopc {

class  DLL_EXTERNAL DatabaseImpl {
public:
	
//	virtual void init(const std::string& connStr = "");
	virtual ConnectionImpl* getConnection(const std::string& connStr) = 0;
	virtual void returnConnection(ConnectionImpl* conn) = 0;
	
	virtual ~DatabaseImpl() {};
};
	
}


#endif /*DATABASEIMPL_H_*/
