#ifndef TYPEMAPPINGFEATURE_H_
#define TYPEMAPPINGFEATURE_H_

#include "dbFeature.h"
#include "iopccommon/metadataHolder.h"
#include <vector>

namespace iopc {

class Type;

class TypeMappingFeature : public DbFeature
{
private:
	static std::string featureName;
public:
	virtual const std::string& getNameInst() {
		return getName();
	}

	static const std::string& getName() {
		return featureName;
	}

	virtual std::string getTypeSql(const Type& type, const MetadataHolder& meta = MetadataHolder::emptyMeta) =0;
};


}


#endif /*TYPEMAPPINGFEATURE_H_*/
