#ifndef IOPC_H_
#define IOPC_H_

#include "iopccommon/trace.h"

namespace iopc {

class MetadataInitializer;

class Iopc {

	public:
		static void init(
				int traceMaskTTY = LogWriter::defaultTraceMaskTTY,
				int traceMask = LogWriter::defaultTraceMask,
				const std::string& logFileName = LogWriter::defaultFileName);
		static void init(
				MetadataInitializer* metadataInitializer,
				int traceMaskTTY = LogWriter::defaultTraceMaskTTY,
				int traceMask = LogWriter::defaultTraceMask,
				const std::string& logFileName = LogWriter::defaultFileName);
		static void shutdown();

};


}

#endif /*IOPC_H_*/
