#ifndef TEXTFILEMETADATALOADER_H_
#define TEXTFILEMETADATALOADER_H_

#include "metadataInitializer.h"
#include <string>

namespace iopc {

class MetadataHolder;

class TextFileMetadataLoader : public MetadataInitializer {
private:
	const std::string file;

public:
	TextFileMetadataLoader(std::string file) : file(file) {};
	virtual ~TextFileMetadataLoader() {};

	virtual void initializeMetadata();
private:
	void setMeta(const MetadataHolder& meta, std::string metadata, std::string type, std::string value);
};

}

#endif /* TEXTFILEMETADATALOADER_H_ */
