#ifndef FAKETYPE_H_
#define FAKETYPE_H_

#include "iopcmeta/metaSupport.h"
#include "fakeObject.h"

//#include "types/dbType.h"


namespace iopc {

template <> class TypeDesc< ::FakeObject> : public Type
{
	
public:
	
	// TODO: tohle tu je jen docasne.. simulace nahrani z DB	
/*	virtual DatabaseObject* loadObject(Connection& conn, const std::string& keyValues, bool wait, bool lock) const {
		IOPC_FUNC_INVOKED;
		IOPC_DEBUGLOG(std::string("Nahravam objekt z db....: ") + keyValues);
		return new FakeObject();
	};*/

	// gener:
	TypeDesc< ::FakeObject>() {
		// PARENTS
		parentsTypeInfo.push_back(&typeid(DatabaseObject));
	
		// ATTRIBUTES
		attributes.insert(std::make_pair("attrInt", Attribute("attrInt", TypeDesc<EInt>::getType(), Attribute::VISIBILITY_PUBLIC, *this)));
		attributes.insert(std::make_pair("attrDouble", Attribute("attrDouble", TypeDesc<EDouble>::getType(), Attribute::VISIBILITY_PRIVATE, *this)));
		attributes.insert(std::make_pair("attrString", Attribute("attrString", TypeDesc<EString>::getType(), Attribute::VISIBILITY_PUBLIC, *this)));
	} 
	// GENER(ATTRIBUTES)
	/*inline virtual bool isDirty(const Object& o) const {
		FakeObject& o2 = (FakeObject&) o;
		return 
			o2.attrInt.isDirty() ||
			o2.attrDouble.isDirty() ||
			o2.attrString.isDirty() ||
			0;
	}*/
	// GENER(ATTRIBUTES)
	inline virtual void fillAttributeValues(const Object& o, std::map<std::string, AttributeValue>& out) const {
		for(std::map<std::string, Attribute>::const_iterator it = attributes.begin(); it != attributes.end(); it++) {
			std::string name = (*it).first;
			if (name == "attrInt") { out.insert(std::make_pair(name, AttributeValue((*it).second, &dynamic_cast<const FakeObject&>(o).attrInt))); continue; }
			if (name == "attrDouble") { out.insert(std::make_pair(name, AttributeValue((*it).second, &dynamic_cast<const FakeObject&>(o).attrDouble))); continue; }
			if (name == "attrString") { out.insert(std::make_pair(name, AttributeValue((*it).second, &dynamic_cast<const FakeObject&>(o).attrString))); continue; }			
		}
	}
	
	/*inline virtual void* getAttributeValues(const Object& o, const std::string& name) const {
		FakeObject& o2 = (FakeObject&) o;
		if (name == "attrInt") return &o2.attrInt;
		if (name == "attrDouble") return &o2.attrDouble;
		if (name == "attrString") return &o2.attrString;
		
	}*/
	// GENER(CLASS_NAME, TYPE)
	virtual ~TypeDesc<FakeObject>() {};
	inline virtual DataTypeClassEnum getDataTypeClass() const { return IOPC_TYPECLASS_COMPLEX; }
	inline virtual DataTypeEnum getDataType() const { return IOPC_TYPE_COMPLEX; };
	static inline const TypeDesc<FakeObject>& getType() {static TypeDesc<FakeObject> instance; return instance; };
	virtual void* newInstance() const { return new FakeObject(); };
	virtual Object* newObjectInstance() const { return new FakeObject(); };
	virtual int getSizeOf(const void* object) const { return sizeof(FakeObject); };
	virtual const std::string getName() const{return "FakeObject";};
	virtual const std::string getNamespace() const {return "";};
	inline virtual bool isBuiltIn() const { return false; };
protected:
	virtual void iopcInit() { FakeObject::iopcInit(*this); }

private:

	// gener:
	//static TypeDesc<FakeObject>& instance;
};

//template class DbPtr<TypeDesc<FakeObject> >;

}

#endif /*FAKETYPE_H_*/
