#include "iopcmeta/metaSupport.h"
#include "testObject.h"

META_BLOCK1(::TestObject)
META_PARENT1(iopc::DatabaseObject)
META_ATTR1(attrInt, iopc::EInt, Attribute::VISIBILITY_PUBLIC)
META_ATTR1(attrDouble, iopc::EDouble, Attribute::VISIBILITY_PUBLIC)
META_ATTR1(attrString, iopc::EString, Attribute::VISIBILITY_PUBLIC)
META_BLOCK2(::TestObject)
META_ATTR2(::TestObject, attrInt)
META_ATTR2(::TestObject, attrDouble)
META_ATTR2(::TestObject, attrString)
META_BLOCK3(::TestObject, TestObject, )
META_INIT(::TestObject)
META_BLOCK4

META_BLOCK1(::InheritedTestObject)
META_PARENT1(::TestObject)
META_ATTR1(attrInt2, iopc::EInt, Attribute::VISIBILITY_PUBLIC)
META_BLOCK2(::InheritedTestObject)
META_ATTR2(::InheritedTestObject, attrInt2)
META_BLOCK3(::InheritedTestObject, InheritedTestObject, )
META_INIT(::InheritedTestObject)
META_BLOCK4

META_BLOCK1(::InheritedTestObject2)
META_PARENT1(::InheritedTestObject)
META_ATTR1(attrInt3, iopc::EInt, Attribute::VISIBILITY_PUBLIC)
META_BLOCK2(::InheritedTestObject2)
META_ATTR2(::InheritedTestObject2, attrInt3)
META_BLOCK3(::InheritedTestObject2, InheritedTestObject2, )
META_INIT(::InheritedTestObject2)
META_BLOCK4

META_BLOCK1(::UserTable)
META_PARENT1(iopc::DatabaseObject)
META_ATTR1(tableName, iopc::EString, Attribute::VISIBILITY_PUBLIC)
META_ATTR1(blocks, iopc::EInt, Attribute::VISIBILITY_PUBLIC)
META_BLOCK2(::UserTable)
META_ATTR2(::UserTable, tableName)
META_ATTR2(::UserTable, blocks)
META_BLOCK3(::UserTable, UserTable, )
META_INIT(::UserTable)
META_BLOCK4

META_BLOCK1(::Person)
META_PARENT1(iopc::OidObject)
META_ATTR1(surname, iopc::EString, Attribute::VISIBILITY_PUBLIC)
META_BLOCK2(::Person)
META_ATTR2(::Person, surname)
META_BLOCK3(::Person, Person, )
META_INIT(::Person)
META_BLOCK4

META_BLOCK1(::Employee)
META_PARENT1(::Person)
META_ATTR1(isHappy, iopc::EBool, Attribute::VISIBILITY_PUBLIC)
META_BLOCK2(::Employee)
META_ATTR2(::Employee, isHappy)
META_BLOCK3(::Employee, Employee, )
META_INIT(::Employee)
META_BLOCK4

META_BLOCK1(::Company)
META_PARENT1(iopc::OidObject)
META_ATTR1(name, iopc::EString, Attribute::VISIBILITY_PUBLIC)
META_ATTR1(owner, iopc::DbPtrBase, Attribute::VISIBILITY_PUBLIC)
META_BLOCK2(::Company)
META_ATTR2(::Company, name)
META_ATTR2(::Company, owner)
META_BLOCK3(::Company, Company, )
META_INIT(::Company)
META_BLOCK4
